{
  "app": {
    "signingConfigs": [
      {
        "name": "release",
        "type": "HarmonyOS",
        "material": {
          "keyAlias": "__uni__1be0b2f",
          "signAlg": "SHA256withECDSA",
          "storeFile": "D:/Developer/signature_config/harmony/hmos.p12",
          "keyPassword": "000000188D653F4B8748579F0084CAC913B6D6AB6FF60084FB0F318CC52AC425A874B607DD8261F9",
          "storePassword": "00000018779445CEA4B7EA75CB8F722F9DA76CBDBC5CE7C083CE8B5E1973141BF17E654C7237F5EF",
          "certpath": "D:/Developer/signature_config/harmony/cer/release.cer",
          "profile": "D:/Developer/signature_config/harmony/p7b/rabbit_releaseRelease.p7b"
        }
      },
      {
        "name": "debug",
        "type": "HarmonyOS",
        "material": {
          "keyAlias": "__uni__1be0b2f",
          "signAlg": "SHA256withECDSA",
          "storeFile": "D:/Developer/signature_config/harmony/hmos.p12",
          "keyPassword": "000000188D653F4B8748579F0084CAC913B6D6AB6FF60084FB0F318CC52AC425A874B607DD8261F9",
          "storePassword": "00000018779445CEA4B7EA75CB8F722F9DA76CBDBC5CE7C083CE8B5E1973141BF17E654C7237F5EF",
          "certpath": "D:/Developer/signature_config/harmony/cer/debug.cer",
          "profile": "D:/Developer/signature_config/harmony/p7b/rabbit_debugDebug.p7b"
        }
      }
    ],
    "products": [
      {
        "name": "default",
        "signingConfig": "debug",
        "targetSdkVersion": "6.0.2(22)",
        "compatibleSdkVersion": "5.0.3(15)",
        "runtimeOS": "HarmonyOS",
        "buildOption": {
          "strictMode": {
            "caseSensitiveCheck": true,
            "useNormalizedOHMUrl": true
          },
          "arkOptions": {
            "buildProfileFields": {
              "CHANNEL": "harmony",
              "BUILD_TIME": "2605110927"
            }
          }
        },
        "output": {
          "artifactName": "rabbit_harmony_debug_v1.0.0_2605110927"
        }
      }
    ],
    "buildModeSet": [
      {
        "name": "debug",
        "buildOption": {
          "debuggable": true
        }
      },
      {
        "name": "release",
        "buildOption": {
          "debuggable": false,
          "arkOptions": {
            "buildProfileFields": {
              "CHANNEL": "harmony"
            }
          }
        }
      }
    ]
  },
  "modules": [
    {
      "name": "app",
      "srcPath": "./products/app",
      "targets": [
        {
          "name": "default",
          "applyToProducts": [
            "default"
          ]
        }
      ]
    },
    {
      "name": "common",
      "srcPath": "./common",
      "targets": [
        {
          "name": "default",
          "applyToProducts": [
            "default"
          ]
        }
      ]
    },
    {
      "name": "mainLayout",
      "srcPath": "./features/mainLayout",
      "targets": [
        {
          "name": "default",
          "applyToProducts": [
            "default"
          ]
        }
      ]
    }
  ]
}